For the complete documentation index, see llms.txt. This page is also available as Markdown.

Trading Orders V1

Trading REST API for order management

Get orders

get

Returns a paginated list of open and partially filled orders for the authenticated account. Supports filtering by asset and option type (CALL/PUT).

Query parameters
assetstringOptional

Underlying asset symbol to filter orders

Example: BTC
typestringOptional

Option type to filter orders (CALL or PUT)

Example: CALL
pageinteger · int32Optional

Page number (1-based)

Default: 1Example: 1
pageSizeinteger · int32Optional

Number of orders per page (max 100)

Default: 20Example: 20
Responses
200

Orders retrieved successfully

*/*
totalinteger · int32Optional

Total number of items

Example: 100
pageinteger · int32Optional

Current page number

Example: 1
pageSizeinteger · int32Optional

Number of items per page

Example: 10
get/v1/orders
GET /api/v1/orders HTTP/1.1
Accept: */*
{
  "total": 100,
  "page": 1,
  "pageSize": 10,
  "items": [
    {
      "orderId": 123,
      "positionId": 98765,
      "symbol": "BTC-251007-50000-C",
      "price": 50000,
      "size": 0.01,
      "side": "BUY",
      "orderType": "LIMIT",
      "status": "PENDING,FILLED,CANCELED",
      "asset": "BTCUSDT",
      "type": "CALL",
      "expiryDate": 1717000000000,
      "sizeUsdt": 100,
      "sizeContracts": 10,
      "strikePrice": 50000,
      "openPrice": 49500,
      "openDate": 1716000000000,
      "fee": 0.5,
      "timestamp": 1716000000000
    }
  ]
}

Create limit order

post

Creates a new limit order with idempotency support

Body

Request DTO for creating orders in v1 API

idempotencyKeystring · min: 1Required

Idempotency key for the order

Example: unique-key-123
symbolstring · min: 1Required

Trading symbol

Example: BTCUSDT
pricestring · min: 1Required

Order price as a decimal string

Example: 25000.5Pattern: ^\d+(\.\d+)?$
sizestring · min: 1Required

Order size as a decimal string

Example: 0.01Pattern: ^\d+(\.\d+)?$
sidestring · enumRequired

Order side

Example: BUYPattern: ^(BUY|SELL)$Possible values:
orderTypestring · enumOptional

Order type

Default: LIMITExample: LIMITPattern: ^LIMIT$Possible values:
positionIdinteger · int64Optional

Position ID (optional)

Example: 123456
Responses
200

Order created successfully

*/*

Response DTO for order operations in v1 API

orderIdstringOptional

Unique identifier of the order

Example: 123
positionIdinteger · int64Optional

Identifier of the related position, if available

Example: 98765
symbolstringOptional

Trading symbol

Example: BTC-251007-50000-C
pricestringOptional

Order price

Example: 50000
sizestringOptional

Order size

Example: 0.01
sidestringOptional

Order side (BUY/SELL)

Example: BUY
orderTypestringOptional

Order type (LIMIT/MARKET)

Example: LIMIT
statusstringOptional

Order status

Example: PENDING,FILLED,CANCELED
assetstringOptional

Underlaying asset name

Example: BTCUSDT
typestringOptional

Option type (CALL/PUT)

Example: CALL
expiryDateinteger · int64Optional

Expiry date as epoch millis

Example: 1717000000000
sizeUsdtstringOptional

Order size in USDT

Example: 100
sizeContractsstringOptional

Order size in contracts

Example: 10
strikePricestringOptional

Strike price

Example: 50000
openPricestringOptional

Open price (VWAP)

Example: 49500
openDateinteger · int64Optional

Open date as epoch millis

Example: 1716000000000
feestringOptional

Fee paid

Example: 0.5
timestampinteger · int64Optional

Order creation timestamp as epoch millis

Example: 1716000000000
post/v1/orders
POST /api/v1/orders HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 135

{
  "idempotencyKey": "unique-key-123",
  "symbol": "BTCUSDT",
  "price": 25000.5,
  "size": 0.01,
  "side": "BUY",
  "orderType": "LIMIT",
  "positionId": 123456
}
{
  "orderId": 123,
  "positionId": 98765,
  "symbol": "BTC-251007-50000-C",
  "price": 50000,
  "size": 0.01,
  "side": "BUY",
  "orderType": "LIMIT",
  "status": "PENDING,FILLED,CANCELED",
  "asset": "BTCUSDT",
  "type": "CALL",
  "expiryDate": 1717000000000,
  "sizeUsdt": 100,
  "sizeContracts": 10,
  "strikePrice": 50000,
  "openPrice": 49500,
  "openDate": 1716000000000,
  "fee": 0.5,
  "timestamp": 1716000000000
}

Cancel order

delete

Cancels an existing order by ID

Path parameters
orderIdstringRequired
Responses
200

Order cancelled successfully

*/*

Response DTO for order operations in v1 API

orderIdstringOptional

Unique identifier of the order

Example: 123
positionIdinteger · int64Optional

Identifier of the related position, if available

Example: 98765
symbolstringOptional

Trading symbol

Example: BTC-251007-50000-C
pricestringOptional

Order price

Example: 50000
sizestringOptional

Order size

Example: 0.01
sidestringOptional

Order side (BUY/SELL)

Example: BUY
orderTypestringOptional

Order type (LIMIT/MARKET)

Example: LIMIT
statusstringOptional

Order status

Example: PENDING,FILLED,CANCELED
assetstringOptional

Underlaying asset name

Example: BTCUSDT
typestringOptional

Option type (CALL/PUT)

Example: CALL
expiryDateinteger · int64Optional

Expiry date as epoch millis

Example: 1717000000000
sizeUsdtstringOptional

Order size in USDT

Example: 100
sizeContractsstringOptional

Order size in contracts

Example: 10
strikePricestringOptional

Strike price

Example: 50000
openPricestringOptional

Open price (VWAP)

Example: 49500
openDateinteger · int64Optional

Open date as epoch millis

Example: 1716000000000
feestringOptional

Fee paid

Example: 0.5
timestampinteger · int64Optional

Order creation timestamp as epoch millis

Example: 1716000000000
delete/v1/orders/{orderId}
DELETE /api/v1/orders/{orderId} HTTP/1.1
Accept: */*
{
  "orderId": 123,
  "positionId": 98765,
  "symbol": "BTC-251007-50000-C",
  "price": 50000,
  "size": 0.01,
  "side": "BUY",
  "orderType": "LIMIT",
  "status": "PENDING,FILLED,CANCELED",
  "asset": "BTCUSDT",
  "type": "CALL",
  "expiryDate": 1717000000000,
  "sizeUsdt": 100,
  "sizeContracts": 10,
  "strikePrice": 50000,
  "openPrice": 49500,
  "openDate": 1716000000000,
  "fee": 0.5,
  "timestamp": 1716000000000
}

Last updated